Sign in to follow this  
Followers 0
orange

I can't run any script on this forum.

8 posts in this topic

I searched here and coudn't find an answer, so please help.

Whenever I try to run a script that I download from this forum, I get errors. Now, I assume that all of these scripts work for other people, because there are comments on how great they work!

I get the same error:

Line: <<whatever line>> "Case" with no matching "Select"

Or something to that effect.

I have tried to fix the syntax, but it wont run!!!

This is very frustrating, please help me out here.

I have everything updated, I have tried BETAs, I have tried the latest stable version. SAME ERROR. I have tried uninstall and reinstall, but nothing.

Any suggestions?

Share this post


Link to post
Share on other sites



Are you sure that you are compying the full code, I've had many times where I didn't copy the whole code and had errors. If that's not the case then I guess you're going to have to wait for someone else to reply, because thats all I could come up with.

Share this post


Link to post
Share on other sites

I searched here and coudn't find an answer, so please help.

Whenever I try to run a script that I download from this forum, I get errors. Now, I assume that all of these scripts work for other people, because there are comments on how great they work!

I get the same error:

Line: <<whatever line>> "Case" with no matching "Select"

Or something to that effect.

I have tried to fix the syntax, but it wont run!!!

This is very frustrating, please help me out here.

I have everything updated, I have tried BETAs, I have tried the latest stable version. SAME ERROR. I have tried uninstall and reinstall, but nothing.

Any suggestions?

Well, I don't know what to tell you if you have tried all of that, but I do know that the error you specified means this:

Select

     Case $whatever

          do $anything

     Case $whatever2

          do $anythingelse

Endselect

the "Select" is missing in your case which is causing the error. If it's not then I don't know what to say.

Nomad :D


Share this post


Link to post
Share on other sites

I have everything updated, I have tried BETAs, I have tried the latest stable version. SAME ERROR. I have tried uninstall and reinstall, but nothing.

Any suggestions?

orange,

In order to be sure you are running the Beta, run "Toggle AU3 Beta.au3" located at:

"C:\Program Files\AutoIt3\beta\Extras\Toggle AU3 Beta.au3"

I hope this helps. I know how frustrating it can be when things don't work as expected.

taurus905


"Never mistake kindness for weakness."-- Author Unknown --"The highest point to which a weak but experienced mind can rise is detecting the weakness of better men."-- Georg Lichtenberg --Simple Obfuscator (Beta not needed.), Random names for Vars and Funcs

Share this post


Link to post
Share on other sites

#5 ·  Posted (edited)

he may not even be running version 3, thats why he gets these errors..

Here is a tip.

Uninstall Current Version.

Install AutoItV3.

Install Beta.

Edited by CHRIS95219

Share this post


Link to post
Share on other sites

I get the same error when trying to include IE.au3

Share this post


Link to post
Share on other sites

yeah, codemyster, that was one of the code snippets that I was having trouble running.

I am not copying the codes. I am downloading them TOO! ARGH!!

so.... is it best to have the beta installed?

NOMAD: it is good to know that I was fixing these problems correctly.

But, on someone's computer, these are running without fixing this code. So what sould I do?

Share this post


Link to post
Share on other sites

I searched here and coudn't find an answer, so please help.

Whenever I try to run a script that I download from this forum, I get errors. Now, I assume that all of these scripts work for other people, because there are comments on how great they work!

Open the help file. Witch version do you have in the Introduction page?

Go to the index flip and enter GuiCreate. Open the page and goe to the bottom. Hit then "Open this script" button. What happens?

Do you use SciTe or some other editor?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0